GET
/payments/requests/{id}/schedulesList Schedules
Recovers all scheduled payments from a payment request
Parameters
Path Parameters
| Name | Type |
|---|---|
idrequired | string (uuid) |
Responses
200Retrieve a list of all scheduled payments
object
pagenumber (double)
totalnumber (double)
totalPagesnumber (double)
resultsobject[]
List of scheduled payments from a payment request
itemsobject
Information of a schedule payment
Example response
json
{
"page": 1,
"total": 2,
"totalPages": 1,
"results": [
{
"id": "05c693bf-c196-47ea-a28c-8251d6bb8a04",
"scheduledDate": "2024-05-04",
"description": "PAGAMENTO AGENDADO 1/3",
"status": "ERROR",
"errorDetail": {
"code": "INSUFFICIENT_BALANCE",
"description": "The account doesn't have enough balance to perform the payment.",
"detail": "A conta selecionada não possui saldo suficiente para realizar o pagamento."
}
},
{
"id": "05c693bf-c196-47ea-a28c-8251d6bb8a05",
"scheduledDate": "2024-06-04",
"description": "PAGAMENTO AGENDADO 2/3",
"status": "COMPLETED",
"errorDetail": null,
"endToEndId": "E44471172202505141500U29c6ff88e3"
},
{
"id": "05c693bf-c196-47ea-a28c-8251d6bb8a06",
"scheduledDate": "2024-07-04",
"description": "PAGAMENTO AGENDADO 3/3",
"status": "SCHEDULED",
"errorDetail": null
}
]
}curl -X GET \
'https://api.pluggy.ai/payments/requests/{id}/schedules' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: YOUR_API_KEY'Sample response
{
"page": 1,
"total": 2,
"totalPages": 1,
"results": [
{
"id": "05c693bf-c196-47ea-a28c-8251d6bb8a04",
"scheduledDate": "2024-05-04",
"description": "PAGAMENTO AGENDADO 1/3",
"status": "ERROR",
"errorDetail": {
"code": "INSUFFICIENT_BALANCE",
"description": "The account doesn't have enough balance to perform the payment.",
"detail": "A conta selecionada não possui saldo suficiente para realizar o pagamento."
}
},
{
"id": "05c693bf-c196-47ea-a28c-8251d6bb8a05",
"scheduledDate": "2024-06-04",
"description": "PAGAMENTO AGENDADO 2/3",
"status": "COMPLETED",
"errorDetail": null,
"endToEndId": "E44471172202505141500U29c6ff88e3"
},
{
"id": "05c693bf-c196-47ea-a28c-8251d6bb8a06",
"scheduledDate": "2024-07-04",
"description": "PAGAMENTO AGENDADO 3/3",
"status": "SCHEDULED",
"errorDetail": null
}
]
}